<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE struts-config PUBLIC "-//Apache Software Foundation//DTD Struts Configuration 1.1//EN"
                               "http://jakarta.apache.org/struts/dtds/struts-config_1_1.dtd">
<struts-config>
	<form-beans>
<!--	FORMULARIOS-->
		<form-bean
				name="w83bFormBusqDelegaciones"
				type="es.ejie.frmk.presentacion.operacion.datos.Q70OPValidatorForm">
				<form-property name="boton"	type="java.lang.String"/>
				<form-property name="codSelec"	type="java.lang.String"/>
				<form-property name="w83bDelegacionesBean" type="w83b.w83bBeans.W83bDelegacionesBean"/>
				<form-property name="codProvincia" type="java.lang.String"/>
				<form-property name="codMunicipio" type="java.lang.String"/>
		</form-bean>
		<form-bean
				name="w83bFormNuevoDelegaciones"
				type="es.ejie.frmk.presentacion.operacion.datos.Q70OPValidatorForm">
				<form-property name="boton"	type="java.lang.String"/>
				<form-property name="w83bDelegacionesNuevoBean" type="w83b.w83bBeans.W83bDelegacionesBean"/>
				<form-property name="codProvincia" type="java.lang.String"/>
				<form-property name="codMunicipio" type="java.lang.String"/>
		</form-bean>
<!--	CONTEXTOS-->
		<form-bean
				name="contextoOP"
				type="es.ejie.frmk.presentacion.operacion.datos.Q70ContextoOperacionDePresentacion">
				<form-property name="strTitleKeyPpal" type="java.lang.String" initial="comun.menu.mantenimientos.delegaciones"/>
				<form-property name="strTitleKey" type="java.lang.String" initial="comun.delegaciones.filtro"/>
				<form-property name="boton" type="java.lang.String"/>
				<form-property name="action" type="java.lang.String"/>
				<form-property name="busqRealizada" type="java.lang.String" initial="false"/>
				<form-property name="w83bListaCod" type="java.util.List"/>
				<form-property name="codSelec" type="java.lang.String"/>
				<form-property name="modoPantalla" type="java.lang.String" initial="B"/>
				<form-property name="migas" type="java.lang.String" initial ="inicio.mantenimiento.delegaciones"/>
				<form-property name="subOpFlag" type="java.lang.String" initial="delegaciones"/>
				<form-property name="w83bResultado" type="java.lang.String"/>
				<form-property name="codProvincia" type="java.lang.String"/>
				<form-property name="codMunicipio" type="java.lang.String"/>

				<form-property name="w83bDelegacionesBean" type="w83b.w83bBeans.W83bDelegacionesBean"/>
				<form-property name="w83bDelegacionesNuevoBean" type="w83b.w83bBeans.W83bDelegacionesBean"/>
				<form-property name="w83bDelegacionesNuevoBeanSalida" type="w83b.w83bBeans.W83bDelegacionesBean"/>
				<form-property name="w83bDelegacionesNuevoTempBean" type="w83b.w83bBeans.W83bDelegacionesBean"/>
				<form-property name="w83bDelegacionesTempBean" type="w83b.w83bBeans.W83bDelegacionesBean"/>
				<form-property name="w83bListaDelegaciones" type="java.util.List"/>
		</form-bean>
	</form-beans>
	<action-mappings type="es.ejie.frmk.presentacion.base.Q70PasosOPMapping">

		<action
				path ="/w83bInicioBusquedaDelegacionesMenu" forward="paginaDelegacionesMenu"/>
		<action
				path ="/w83bInicioAnyadirDelegacionesMenu" forward="paginaAnyadirDelegacionesMenu"/>
<!--	DISPATCHES-->
		<action
				path="/w83bDispatch"
				name="w83bFormBusqDelegaciones"
				scope="request"
				validate="false"
				parameter="boton"
				i18nKey="w83bcomun"
				type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionLookupDispatchOP">
				<forward
					name="comun.boton.buscar"
					path="/w83bBusqDelegaciones.do"/>
				<forward
					name="comun.boton.anyadir"
					path="/w83bTablaDelegacionesIraNuevo.do"/>
				<forward
					name="comun.boton.editar"
					path="/w83bTablaDelegacionesDetalle.do"/>
				<forward
					name="comun.boton.consultar"
					path="/w83bTablaDelegacionesDetalle.do"/>
				<forward
					name="comun.boton.exportaraExcel"
					path="/w83bTablaDelegacionesExcel.do"/>				
				<forward
					name="comun.boton.atras"
					path="/w83bAtrasDelegacionesBusq.do"/>
		</action>

		<action
				path="/w83bDispatchNuevo"
				name="w83bFormNuevoDelegaciones"
				scope="request"
				validate="false"
				parameter="boton"
				i18nKey="w83bcomun"
				type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionLookupDispatchOP">
				<forward
					name="comun.boton.guardar"
					path="/w83bMovimientoDelegaciones.do"/>
				<forward
					name="comun.boton.atras"
					path="/w83bTablaDelegacionesAtrasNuevoEdicion.do"/>
		</action>


		<!-- Operaciones de Paso -->
		
		<action path="/w83bTablaDelegacionesOP" scope="request" type="w83b.w83bOperacionesPaso.w83bMantenimientos.w83bDelegaciones.W83bTablaDelegacionesOPAction" 
			 validate="false">
			<forward name="find" path="/w83bBusqDelegaciones.do"/>
			<forward name="ok" path="/w83bTablaDelegacionesOutOP.do"/>
			<forward name="outOP" path="/w83bTablaDelegacionesOutOP.do"/>
			<forward name="error" path="/w83bInicioBusquedaDelegacionesMenu.do"/>
		</action>
		<action path="/w83bTablaDelegacionesOutOP"
		 scope="request" type="w83b.w83bOperacionesPaso.w83bMantenimientos.w83bDelegaciones.W83bTablaDelegacionesOutOPAction" 
			 validate="false">
			<forward name="ok" path="/w83bInicioBusquedaDelegacionesMenu.do"/>
			<forward name="error" path="/w83bInicioBusquedaDelegacionesMenu.do"/>
		</action>
		<action path="/w83bTablaDelegacionesIraNuevo"
		name="w83bFormBusqDelegaciones" scope="request" type="w83b.w83bOperacionesPaso.w83bMantenimientos.w83bDelegaciones.W83bTablaDelegacionesIraNuevoAction" 
			 validate="false">
			<forward name="ok" path="/w83bInicioAnyadirDelegacionesMenu.do"/>
			<forward name="error" path="/w83bInicioBusquedaDelegacionesMenu.do"/>
		</action>
		<action path="/w83bTablaDelegacionesAtrasNuevoEdicion"
		name="w83bFormBusqDelegaciones" scope="request" type="w83b.w83bOperacionesPaso.w83bMantenimientos.w83bDelegaciones.W83bTablaDelegacionesAtrasNuevoEdicionAction" 
			 validate="false">
			<forward name="ok" path="/w83bInicioBusquedaDelegacionesMenu.do"/>
			<forward name="error" path="/w83bInicioAnyadirDelegacionesMenu.do"/>
		</action>
		<action path="/w83bAtrasDelegacionesBusq"
		type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionRedirectOP"
		    parameter="$$$WEBROOT_W83B$$$/mantenimientosOP/w83bInicioMantenimientos.do">
		</action>
		<action path="/w83bTablaDelegacionesExcel"
		name="w83bFormBusqDelegaciones" scope="request" type="w83b.w83bOperacionesPaso.w83bMantenimientos.w83bDelegaciones.W83bTablaDelegacionesExcelAction" 
			 validate="false">
			 <forward name="error" path="/w83bInicioBusquedaDelegacionesMenu.do"/>
		</action>

		<!-- Fin Operaciones de Paso -->
		<!-- Operaciones Internas -->

   		<action path ="/w83bBusqDelegaciones"
			 parameter="w83bBusqDelegacionesOI" 
			 validate="false" 
			 input="/w83bInicioBusquedaDelegacionesMenu.do" 
			 type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
			 scope="request">
					<forward name="ok" path="/w83bTablaDelegacionesOutOP.do" />
					<forward name="error" path="/w83bInicioBusquedaDelegacionesMenu.do" />
		</action>
   		<action path ="/w83bTablaDelegacionesDetalle" 
			 parameter="w83bDetalleDelegacionesOI" 
			 validate="false" 
			 input="/w83bInicioBusquedaDelegacionesMenu.do" 
			 type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
			 scope="request">
					<forward name="ok" path="/w83bInicioAnyadirDelegacionesMenu.do" />
					<forward name="error" path="/w83bInicioAnyadirDelegacionesMenu.do" />
		</action>
   		<action path ="/w83bMovimientoDelegaciones"
			 parameter="w83bMovimientoDelegacionesOI" 
			 validate="true" name="w83bFormNuevoDelegaciones"
			 input="/w83bInicioAnyadirDelegacionesMenu.do" 
			 type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
			 scope="request">
					<forward name="ok" path="/w83bInicioAnyadirDelegacionesMenu.do" />
					<forward name="error" path="/w83bInicioAnyadirDelegacionesMenu.do" />
		</action>
   		
   		
		<!-- Fin Operaciones Internas -->

		<!-- SUB-OPERACIONES -->



	</action-mappings>

	<controller processorClass="es.ejie.frmk.presentacion.operacion.Q70ProcesadorTilesOperacionDePresentacion" />

	<!-- Validaciones Genericas -->
	<plug-in className="es.ejie.frmk.presentacion.validacion.Q70ValidacionesGenericasPlugIn">
		<set-property property="pathnames" value="/WEB-INF/validators-config/validator-rules-w83b.xml,
											/WEB-INF/validators-config/mantenimientos/validation-delegaciones.xml"/>
	    <set-property property="i18nKey" value="w83bcomun" />
	</plug-in>

	<!-- Menus -->
</struts-config>